| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
UserPermission Class Reference
PDFViewCtrl

Assist in determining the permissions of the User_Permissions. More...

## Public Member Functions
| checkAnnotForm ()
| Operate text annotations and fill in interactive form fields. (Bit 6 in permission value) If value UserPermissionEnum.modify is also set, user can create or modify interactive form fields (including signature fields). More...
| checkAssemble ()
| Assemble PDF document. (Bit 11 in permission value) If this value is set, it enables to assemble the document (Insert, rotate, or delete pages and create bookmarks or thumbnail images), regardless if value UserPermissionEnum.modify is set or not. More...
| checkCannotModifyAny ()
| Check that the permission value does not modify anything. More...
| checkCannotModifyExcludeAssemble ()
| Check that the permission value does not modify anything. Unsure of permissions to assemble documents (insert, rotate, or delete pages and create bookmarks or thumbnails). More...
| checkExtract ()
| Extract PDF contents. (Bit 5 in permission value) If this value is set, user can copy or otherwise extract text and graphics from the document by operations other than that controlled by value UserPermissionEnum.extractAccess. More...
| checkExtractAccess ()
| Disabilities support. (Bit 10 in permission value) If this value is set, user can extract text and graphics in support of accessibility to users with disabilities or for other purposes. More...
| checkFillForm ()
| Fill PDF form. (Bit 9 in permission value) If this value is set, user can fill in interactive form fields (including signature fields), even if value UserPermissionEnum.annotForm is not used. More...
| checkModify ()
| Modify PDF contents. (Bit 4 in permission value) If this value is set, user can modify contents of PDF document by operations other than those controlled by values UserPermissionEnum.annotForm, UserPermissionEnum.fillForm and UserPermissionEnum.assemble. More...
| checkPrint ()
| Print PDF document with normal mode. (Bit 3 in permission value) If user wants to print a higher quality level of PDF document, please set current value with value UserPermissionEnum.print together. More...
| checkPrintHigh ()
| Print PDF document with higher qualities. (Bit 12 in permission value) If this value is not set (and value UserPermissionEnum.print is set), printing is limited to a low-level representation of the appearance, possibly of degraded quality. More...
| constructor (permissions=defaultUserPermission)
| Tectonic UserPermission class. More...
| getValue ()
| Gets a decimal representation of a specific permission value. More...
| or (permissions)
| Union of permission values. More...
| putCannotModifyAny ()
| Set permissions so that nothing can be modified. More...
| putCannotModifyExcludeAssemble ()
| Set permissions to not be able to modify anything except assemble documents (insert, rotate, or delete pages and create bookmarks or thumbnails). More...

## Detailed Description

Assist in determining the permissions of the User_Permissions.

## Member Function Documentation

## ◆ checkAnnotForm()

UserPermission::checkAnnotForm | ( |  | ) |
| inline

Operate text annotations and fill in interactive form fields. (Bit 6 in permission value)
If value UserPermissionEnum.modify is also set, user can create or modify interactive form fields (including signature fields).

Returns
  number -

## ◆ checkAssemble()

UserPermission::checkAssemble | ( |  | ) |
| inline

Assemble PDF document. (Bit 11 in permission value)
If this value is set, it enables to assemble the document (Insert, rotate, or delete pages and create bookmarks or thumbnail images), regardless if value UserPermissionEnum.modify is set or not.

Returns
  number -

## ◆ checkCannotModifyAny()

UserPermission::checkCannotModifyAny | ( |  | ) |
| inline

Check that the permission value does not modify anything.

Returns
  boolean -

## ◆ checkCannotModifyExcludeAssemble()

UserPermission::checkCannotModifyExcludeAssemble | ( |  | ) |
| inline

Check that the permission value does not modify anything. Unsure of permissions to assemble documents (insert, rotate, or delete pages and create bookmarks or thumbnails).

Returns
  boolean -

## ◆ checkExtract()

UserPermission::checkExtract | ( |  | ) |
| inline

Extract PDF contents. (Bit 5 in permission value)
If this value is set, user can copy or otherwise extract text and graphics from the document by operations other than that controlled by value UserPermissionEnum.extractAccess.

Returns
  number -

## ◆ checkExtractAccess()

UserPermission::checkExtractAccess | ( |  | ) |
| inline

Disabilities support. (Bit 10 in permission value)
If this value is set, user can extract text and graphics in support of accessibility to users with disabilities or for other purposes.

Returns
  number -

## ◆ checkFillForm()

UserPermission::checkFillForm | ( |  | ) |
| inline

Fill PDF form. (Bit 9 in permission value)
If this value is set, user can fill in interactive form fields (including signature fields), even if value UserPermissionEnum.annotForm is not used.

Returns
  number -

## ◆ checkModify()

UserPermission::checkModify | ( |  | ) |
| inline

Modify PDF contents. (Bit 4 in permission value)
If this value is set, user can modify contents of PDF document by operations other than those controlled by values UserPermissionEnum.annotForm, UserPermissionEnum.fillForm and UserPermissionEnum.assemble.

Returns
  number -

## ◆ checkPrint()

UserPermission::checkPrint | ( |  | ) |
| inline

Print PDF document with normal mode. (Bit 3 in permission value)
If user wants to print a higher quality level of PDF document, please set current value with value UserPermissionEnum.print together.

Returns
  number -

## ◆ checkPrintHigh()

UserPermission::checkPrintHigh | ( |  | ) |
| inline

Print PDF document with higher qualities. (Bit 12 in permission value)
If this value is not set (and value UserPermissionEnum.print is set), printing is limited to a low-level representation of the appearance, possibly of degraded quality.

Returns
  number -

## ◆ constructor()

UserPermission::constructor | ( |  | permissions = `defaultUserPermission` | ) |
| inline

Tectonic UserPermission class.

Parameters

  permissions | number - Default all permissions

## ◆ getValue()

UserPermission::getValue | ( |  | ) |
| inline

Gets a decimal representation of a specific permission value.

Returns
  number -

## ◆ or()

UserPermission::or | ( |  | permissions | ) |
| inline

Union of permission values.

Parameters

  permissions | number -

Returns
  UserPermission -

## ◆ putCannotModifyAny()

UserPermission::putCannotModifyAny | ( |  | ) |
| inline

Set permissions so that nothing can be modified.

Returns
  UserPermission -

## ◆ putCannotModifyExcludeAssemble()

UserPermission::putCannotModifyExcludeAssemble | ( |  | ) |
| inline

Set permissions to not be able to modify anything except assemble documents (insert, rotate, or delete pages and create bookmarks or thumbnails).

Returns
  UserPermission -

@2026 Foxit Software Incorporated. All rights reserved.